Chatty 用户名 跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194864 漏洞类型 跨站脚本
发布时间 2006-05-25 更新时间 2006-05-26
CVE编号 CVE-2006-2606 CNNVD-ID CNNVD-200605-477
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://cxsecurity.com/issue/WLB-2006050157
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-477
|漏洞详情
Chatty1.0.2及其他版本可能存在跨站脚本攻击(XSS)漏洞,远程攻击者可以借助用户名注入任意Web脚本或HTML。
|漏洞EXP
Chatty improper input sanitizing

Discovered by: Nomenumbra

Date: 21/5/2006

impact:moderate (possible defacement)

Chatty is a PHP-based chatscript allowing users to chat over the web.

Subscribing with a username like this: <script>alert(%22xss%22)</script>

would cause major xss in the chatroom.

Nomenumbra
|参考资料

来源:BID
名称:18082
链接:http://www.securityfocus.com/bid/18082
来源:BUGTRAQ
名称:20060522Chattyimproperinputsanitizing
链接:http://www.securityfocus.com/archive/1/archive/1/434819/100/0/threaded
来源:XF
名称:chatty-index-xss(26631)
链接:http://xforce.iss.net/xforce/xfdb/26631
来源:VUPEN
名称:ADV-2006-1962
链接:http://www.frsirt.com/english/advisories/2006/1962
来源:SECTRACK
名称:1016152
链接:http://securitytracker.com/id?1016152
来源:SREASON
名称:963
链接:http://securityreason.com/securityalert/963
来源:SECUNIA
名称:20259
链接:http://secunia.com/advisories/20259